

IF NOT EXISTS(SELECT CD_OPERACAO FROM TELE_SISTEMA_OPERACAO WHERE DS_OPERACAO = 'ENVIAR AGUARD SEPARACAO FORA DE ORDEM')
BEGIN
	INSERT INTO TELE_SISTEMA_OPERACAO
	SELECT 30, 'ENVIAR AGUARD SEPARACAO FORA DE ORDEM'
END
GO

IF NOT EXISTS(SELECT CD_OPERACAO FROM TELE_SISTEMA_OPERACAO WHERE DS_OPERACAO = 'AUTORIZAR ENTREGA EM LOGRADORO COM RISCO')
BEGIN
	INSERT INTO TELE_SISTEMA_OPERACAO
	SELECT 31, 'AUTORIZAR ENTREGA EM LOGRADORO COM RISCO'
END
GO


-- VINCULO AUTOMATICO LIBERANDO ACESSO AO PROCEDIMENTO 30
DECLARE @IS_CLI_BRPH INT
SET @IS_CLI_BRPH = COALESCE((SELECT 1 FROM PRC_EMP WHERE CGC_EMP = '00447821/0001-70'),0)

IF @IS_CLI_BRPH = 1
BEGIN
	
	INSERT INTO TELE_SISTEMA_OPERACAO_FUNCAO
	SELECT A.CD_OPERACAO, B.CD_FUNCAO FROM TELE_SISTEMA_OPERACAO A, TELE_GLB_USU_FUNCAO B WHERE A.CD_OPERACAO IN (30)

END

